Bug 445959 - In Settings > User feedback, clicking on the links plasma-shell or plasma-discover could show a better error message if there is no log
Summary: In Settings > User feedback, clicking on the links plasma-shell or plasma-dis...
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Unclassified
Component: kcm_feedback (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-23 03:45 UTC by Photon
Modified: 2021-12-08 16:59 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24


Attachments
Error message (115.06 KB, image/png)
2021-11-23 03:45 UTC, Photon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Photon 2021-11-23 03:45:36 UTC
Created attachment 143855 [details]
Error message

STEPS TO REPRODUCE
1. Make sure you don't have logs saved;
2. Go to Settings > User feedback;
2. Click on the links plasma-shell or plasma-discover ;

OBSERVED RESULT


EXPECTED RESULT
The message could be clearer, like "There is no logs available" or even better: not showing the link at all.

SOFTWARE/OS VERSIONS
Operating System: Fedora Linux 35
KDE Plasma Version: 5.23.3
KDE Frameworks Version: 5.88.0
Qt Version: 5.15.2
Kernel Version: 5.14.18-300.fc35.x86_64 (64-bit)
Graphics Platform: Wayland
Processors: 8 × Intel® Core™ i5-8265U CPU @ 1.60GHz
Memory: 15.5 GiB of RAM
Graphics Processor: Mesa Intel® UHD Graphics 620
ADDITIONAL INFORMATION
Comment 1 Bug Janitor Service 2021-12-02 23:07:59 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1241
Comment 2 Nate Graham 2021-12-08 16:59:36 UTC
Git commit a5b4065b2c52148e9cd6e15340c994f7f8f5fd0d by Nate Graham.
Committed on 08/12/2021 at 16:38.
Pushed by ngraham into branch 'master'.

kcms/feedback: Only add audit locations to the model that exist

This prevents audit locations that don't appear on disk from showing up
as clickable links in the KCM, which produces a bad UX whereby you can
try to open the nonexistent location and then you get an ugly error
message instead. So let's just not even show them if they don't exist
FIXED-IN: 5.24

M  +11   -4    kcms/feedback/feedback.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/a5b4065b2c52148e9cd6e15340c994f7f8f5fd0d